#!/usr/bin/env python3
from datetime import datetime
import zmq


DATETIMES=[]


context = zmq.Context()
socket = context.socket(zmq.SUB)
socket.connect("tcp://127.0.0.1:5559")

socket.setsockopt_string(zmq.SUBSCRIBE, "test")

try:
    while True:
        m = socket.recv_string()
        DATETIMES.append(datetime.now())
except Exception as e:
    print(e)
    socket.close()
    print(DATETIMES)